<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="5dp"
    android:gravity="left"
    android:padding="8dp"
    tools:background="@color/gray_f4">


    <ImageView
        android:id="@+id/iv_user_icon"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:scaleType="fitXY"
        android:src="@drawable/ic_user_default" />


    <TextView
        android:id="@+id/tv_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:background="@drawable/ic_message_text_receive"
        android:gravity="center|left"
        android:maxWidth="200dp"
        android:paddingLeft="10dp"
        android:paddingRight="5dp"
        android:textColor="@color/black"
        android:textSize="14sp"
        tools:text="测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试测试" />


    <RelativeLayout
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_marginLeft="5dp"
        android:layout_marginTop="5dp">

        <ProgressBar
            android:id="@+id/pb_sending"
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:layout_centerInParent="true"
            android:indeterminateBehavior="repeat"
            android:indeterminateDrawable="@drawable/anim_loading" />

        <ImageView
            android:id="@+id/iv_msg_state_fail"
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:layout_centerInParent="true"
            android:src="@drawable/msg_state_fail_resend"
            android:visibility="gone"
            tools:visibility="visible" />
    </RelativeLayout>
</LinearLayout>